<div class="manage-editors-properties-text" ...attributes>
  {{#if @enableTextValue}}
    <Editor::Properties::OptionContainer @label={{t "option-panel.text"}} as |id|>
      {{!-- template-lint-disable no-builtin-form-components --}}
      <Textarea class="form-control input-text input-text-value" @value={{this.text}} id={{id}} />
    </Editor::Properties::OptionContainer>
  {{/if}}

  {{#if @isHeading}}
    <Editor::Properties::Heading @value={{this.heading}} @onChange={{this.changeHeading}} />
  {{/if}}

  <Editor::Properties::OptionContainer @label={{t "option-panel.text-font"}}>
    <Editor::Properties::TextFont @options={{this.classes}} @onChange={{this.changeClasses}} />
  </Editor::Properties::OptionContainer>

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-text-size"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::TextSize @size={{size}} @options={{this.classes}} @onChange={{this.changeClasses}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-line-height"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::TextLineHeight @size={{size}} @options={{this.classes}} @onChange={{this.changeClasses}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-min-lines"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Input::Text class="form-control min-lines-{{size}}" @type="number" @value={{get this.minLines size}} @onChange={{fn this.changeMinLines size}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-fw"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::TextWeight @size={{size}} @options={{this.classes}} @onChange={{this.changeClasses}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-text"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::TextAlign @size={{size}} @options={{this.classes}} @onChange={{this.changeClasses}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-text-line-clamp"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::TextLineClamp @size={{size}} @options={{this.classes}} @onChange={{this.changeClasses}} />
  </Editor::Properties::ResponsiveValue>

  <Input::Options::PaddingsPanel @label={{t "option-panel.padding"}} @deviceSize={{@deviceSize}} @options={{this.classes}} @onChangeOptions={{this.changeClasses}} />

  <Input::BsColorPicker class="text-color-selector" @space={{@space}} @label={{t "option-panel.color"}} @onChange={{this.changeColor}} @value={{this.color}} />
</div>